Bug 974770 - AttributeError: 'NoneType' object has no attribute 'type'
AttributeError: 'NoneType' object has no attribute 'type'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
abrt_hash:5eb25a59b656b539f68f6f653e8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-15 12:05 EDT by moshe nahmias
Modified: 2014-01-31 20:02 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-31 20:02:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (123.62 KB, text/plain)
2013-06-15 12:06 EDT, moshe nahmias
no flags Details
File: backtrace (810 bytes, text/plain)
2013-06-15 12:06 EDT, moshe nahmias
no flags Details
File: environ (519 bytes, text/plain)
2013-06-15 12:06 EDT, moshe nahmias
no flags Details
File: ifcfg.log (918 bytes, text/plain)
2013-06-15 12:06 EDT, moshe nahmias
no flags Details
File: lsblk_output (2.40 KB, text/plain)
2013-06-15 12:06 EDT, moshe nahmias
no flags Details
File: messages (320.07 KB, text/plain)
2013-06-15 12:06 EDT, moshe nahmias
no flags Details
File: nmcli_dev_list (3.83 KB, text/plain)
2013-06-15 12:06 EDT, moshe nahmias
no flags Details
File: program.log (84.62 KB, text/plain)
2013-06-15 12:06 EDT, moshe nahmias
no flags Details
File: storage.log (613.97 KB, text/plain)
2013-06-15 12:07 EDT, moshe nahmias
no flags Details
File: anaconda-tb (1.10 MB, application/octet-stream)
2013-06-15 12:07 EDT, moshe nahmias
no flags Details

  None (edit)
Description moshe nahmias 2013-06-15 12:05:56 EDT
Description of problem:
While trying to install F19 and on partition selection I tried to let the software to do it by itself after a few attempts to do it by myself and re-entering by mistake without cancelation option.
The following was filed automatically by anaconda:
anaconda 19.30.5-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 297, in _removeDevice
    if dev.partedPartition.type == parted.PARTITION_EXTENDED and \
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 344, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1179, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2019, in _destroy_device
    self.__storage.destroyDevice(device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2143, in on_remove_clicked
    self._destroy_device(device)
AttributeError: 'NoneType' object has no attribute 'type'

Version-Release number of selected component:
anaconda-19.30.5-1.fc19.x86_64

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-Desktop-x86_64-19-TC ro rd.live.image quiet rhgb
core_backtrace: 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.4-301.fc19.x86_64
other involved packages: python-blivet-0.15-1.fc19.noarch
packaging.log:  
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2143, in on_remove_clicked
    self._destroy_device(device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2019, in _destroy_device
    self.__storage.destroyDevice(device)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1179, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 344, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 297, in _removeDevice
    if dev.partedPartition.type == parted.PARTITION_EXTENDED and \
AttributeError: 'NoneType' object has no attribute 'type'
Comment 1 moshe nahmias 2013-06-15 12:06:02 EDT
Created attachment 761639 [details]
File: anaconda.log
Comment 2 moshe nahmias 2013-06-15 12:06:06 EDT
Created attachment 761640 [details]
File: backtrace
Comment 3 moshe nahmias 2013-06-15 12:06:10 EDT
Created attachment 761641 [details]
File: environ
Comment 4 moshe nahmias 2013-06-15 12:06:15 EDT
Created attachment 761642 [details]
File: ifcfg.log
Comment 5 moshe nahmias 2013-06-15 12:06:20 EDT
Created attachment 761643 [details]
File: lsblk_output
Comment 6 moshe nahmias 2013-06-15 12:06:31 EDT
Created attachment 761644 [details]
File: messages
Comment 7 moshe nahmias 2013-06-15 12:06:35 EDT
Created attachment 761645 [details]
File: nmcli_dev_list
Comment 8 moshe nahmias 2013-06-15 12:06:40 EDT
Created attachment 761646 [details]
File: program.log
Comment 9 moshe nahmias 2013-06-15 12:07:05 EDT
Created attachment 761647 [details]
File: storage.log
Comment 10 moshe nahmias 2013-06-15 12:07:48 EDT
Created attachment 761648 [details]
File: anaconda-tb
Comment 11 Brian Lane 2013-06-21 18:25:08 EDT
Could you a) retry with TC6 and b) narrow it down to a limited number of steps? I wasn't able to follow exactly what you did, and couldn't reproduce it.
Comment 12 Brian Lane 2014-01-31 20:02:52 EST
This is likely fixed in f19/20.

Note You need to log in before you can comment on or make changes to this bug.